Loading...
Searching...
No Matches
gtsam::internal::Manifold< Class > Struct Template Reference

## Detailed Description

template<class Class>
struct gtsam::internal::Manifold< Class >

Both ManifoldTraits and Testable.

Inheritance diagram for gtsam::internal::Manifold< Class >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::internal::ManifoldTraits< Class >
| BOOST_CONCEPT_ASSERT ((HasManifoldPrereqs< Class >))
Public Member Functions inherited from gtsam::Testable< Class >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< Class >))
Static Public Member Functions inherited from gtsam::internal::ManifoldTraits< Class >
static TangentVector | Local (const Class &origin, const Class &other)
static Class | Retract (const Class &origin, const TangentVector &v)
Static Public Member Functions inherited from gtsam::internal::GetDimensionImpl< Class, Class::dimension >
static int | GetDimension (const Class &)
Static Public Member Functions inherited from gtsam::Testable< Class >
static void | Print (const Class &m, const std::string &str="")
static bool | Equals (const Class &m1, const Class &m2, double tol=1e-8)
Public Types inherited from gtsam::internal::ManifoldTraits< Class >
enum | { dimension = Class::dimension }
typedef Class | ManifoldType
typedef manifold_tag | structure_category
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector

The documentation for this struct was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/base/Manifold.h